function onBegin()
    
    setFlag("ukiran_YTTL_timebunny", false) -- if you somehow show up WITH the factor, it makes it so you don't die during it. wow!
    disablePause() -- disables pausing so you dont fuck things up! wow!
    wait(0.4) -- waits for the slowdown to fully kick up

    -- plays the YTTL sound effect. The setFlag and wait allow for the words to sync, each text is timed.
    playSound("event:/ukiranMDspookFX/YTTL3_a")
    setFlag("ukiran_YTTLmini_start", true)
    wait(0.1)
    setFlag("ukiran_YTTLmini_youre", true)
    wait(0.4)
    setFlag("ukiran_YTTLmini_taking", true)
    wait(0.5)
    setFlag("ukiran_YTTLmini_too", true)
    wait(0.2)
    setFlag("ukiran_YTTLmini_long", true)
    wait(0.8)
    
    -- housekeeping
    setFlag("ukiran_YTTL_start", false)
    setFlag("ukiran_YTTLmini_youre", false)
    setFlag("ukiran_YTTLmini_taking", false)
    setFlag("ukiran_YTTLmini_too", false)
    setFlag("ukiran_YTTLmini_long", false)

    setFlag("ukiran_YTTL_babybunny", true)
    enablePause()
end
